automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {master} tests: avoid many spurious failures for shells with buste


From: Stefano Lattarini
Subject: [FYI] {master} tests: avoid many spurious failures for shells with busted 'set -e'
Date: Sun, 26 Feb 2012 11:23:04 +0100

Some versions of the BSD Korn shell wrongly bail out when the
'errexit' shell flag is active and the left-hand command in a
"&&" list fails and that list is the *last* command of an entry
in a "case" statement.

* tests/defs (gcc, g++, gcj): Work around that.
---
 tests/defs |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/tests/defs b/tests/defs
index e925222..5b7ff5b 100644
--- a/tests/defs
+++ b/tests/defs
@@ -797,14 +797,17 @@ do
     gcj)
       GCJ=$GNU_GCJ GCJFLAGS=$GNU_GCJFLAGS; export GCJ GCJFLAGS
       test "$GCJ" = false && skip_all_ "GNU Java compiler unavailable"
+      : For shells with busted 'set -e'.
       ;;
     gcc)
       CC=$GNU_CC CFLAGS=$GNU_CFLAGS; export CC CFLAGS CPPFLAGS
       test "$CC" = false && skip_all_ "GNU C compiler unavailable"
+      : For shells with busted 'set -e'.
       ;;
     g++)
       CXX=$GNU_CXX CXXFLAGS=$GNU_CXXFLAGS; export CXX CXXFLAGS CPPFLAGS
       test "$CXX" = false && skip_all_ "GNU C++ compiler unavailable"
+      : For shells with busted 'set -e'.
       ;;
     gfortran)
       FC=$GNU_FC FCFLAGS=$GNU_FCFLAGS; export FC FCFLAGS
-- 
1.7.9




reply via email to

[Prev in Thread] Current Thread [Next in Thread]